Bug 1304287 - Make the WRITE_IS_APPEND feature in AFR dynamically configurable for performance necessity
Summary: Make the WRITE_IS_APPEND feature in AFR dynamically configurable for performa...
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: GlusterFS
Classification: Community
Component: replicate
Version: mainline
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
Assignee: Ping.Lee
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-02-03 09:15 UTC by Ping.Lee
Modified: 2018-11-20 06:06 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-20 06:06:31 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Ping.Lee 2016-02-03 09:15:24 UTC
Description of problem:

    Problem:
    AS discussed at
    http://www.gluster.org/pipermail/gluster-devel/2016-January/047915.html
    
    The WRITE_IS_APPEND in afr_writev leads to locking for each file writing operation
    in posix_writev in the server end.  This lock then impacts on the concurrent ability
    of posix_writev to do final file writing and results in AFR writing performance drop.

    Fix:
    Make the WRITE_IS_APPEND feature in AFR dynamically configurable.
    Enable or disable it under the necessity of performance.

Comment 1 Vijay Bellur 2016-02-05 02:34:02 UTC
REVIEW: http://review.gluster.org/13359 (cluster/afr: Make the WRITE_IS_APPEND feature dynamically              configurable for performance necessity) posted (#2) for review on master by Ping.Lee (li.ping288@zte.com.cn)

Comment 2 Vijay Bellur 2016-02-05 02:43:41 UTC
REVIEW: http://review.gluster.org/13359 (cluster/afr: Make the WRITE_IS_APPEND feature dynamically configurable for performance necessity) posted (#3) for review on master by Ping.Lee (li.ping288@zte.com.cn)

Comment 3 Vijay Bellur 2016-02-05 07:52:47 UTC
REVIEW: http://review.gluster.org/13364 (cluster/afr: Make the WRITE_IS_APPEND feature dynamically configurable for performance necessity) posted (#1) for review on master by Ping.Lee (li.ping288@zte.com.cn)

Comment 4 Vijay Bellur 2016-02-05 08:08:31 UTC
REVIEW: http://review.gluster.org/13359 (cluster/afr: Make the WRITE_IS_APPEND feature dynamically configurable for performance necessity) posted (#4) for review on master by Ping.Lee (li.ping288@zte.com.cn)

Comment 5 Mike McCune 2016-03-28 22:55:34 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 6 Ravishankar N 2018-11-20 06:06:31 UTC
Closing the bug as there is no activity and the patch has been abandoned. Please re-open it and refresh the patch if the fix is still needed.


Note You need to log in before you can comment on or make changes to this bug.